<app-breadcrumb [single]="false" titlePage="Crear Noticia" backPage="Noticias" url="news"></app-breadcrumb>
<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Nueva Noticia</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12">
              <label for="title"  class="label-flags">
                <span> Titulo</span>
              </label>
              <input type="text" name="title" placeholder="Titulo" id="title" class="form-control" ngModel required>
              <label class="label-flags">
                <span> Introducción</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="intro" id="intro"></ckeditor>
              <label  class="label-flags">
                <span> Contenido</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="content" id="content"></ckeditor>
            </div>
          </div>
          <div class="position-relative form-group">

            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="url_images + imageInit" class="img-fluid" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)">
                </div>
              </div>
              <div class="col-12 col-md-4">
                <ngb-datepicker #dp ngModel name="date" (navigate)="date = $event.next"></ngb-datepicker>
              </div>
            </div>
          </div>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>



